[ Identification | Description | Input parameters | Links ]

# The `Diaphragm` Component

Rectangular/circular diaphragm (alias of the Slit component)

## Identification

- Site:
- Author: Peter Willendrup
- Origin: DTU
- Date: February 2016

## Description

    A simple rectangular or circular diaphragm. You may either
    specify the radius (circular shape), or the rectangular bounds.
    No transmission around the diaphragm is allowed.

    Example: Diaphragm(xmin=-0.01, xmax=0.01, ymin=-0.01, ymax=0.01)
    Diaphragm(radius=0.01)

    For INPUT PARAMETERS - please consult Slit.comp as Diaphragm is a copy of that component.

## Input parameters

Parameters in boldface are required; the others are optional.

Name | Unit | Description | Default |

AT ( | , | , |  | ) RELATIVE |  |
ROTATED ( | , | , |  | ) RELATIVE |

## Links

- Source code for `Diaphragm.comp`.

[ Identification | Description | Input parameters | Links ]